Bug 221670 - (Net-UserAgent-Detect) Review Request: php-pear-Net-UserAgent-Detect - Extract information from an HTTP user agent
Review Request: php-pear-Net-UserAgent-Detect - Extract information from an H...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-05 17:50 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-14 02:36:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-01-05 17:50:03 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-UserAgent-Detect.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-UserAgent-Detect-2.2.0-1.src.rpm

Description:
The Net_UserAgent object does a number of tests on an HTTP user
agent string. The results of these tests are available via methods of
the object.
Comment 1 Kevin Fenzi 2007-01-13 00:55:39 EST
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (PHP)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
87217ac170577bc02cbb99094d1a9a80  Net_UserAgent_Detect-2.2.0.tgz
87217ac170577bc02cbb99094d1a9a80  Net_UserAgent_Detect-2.2.0.tgz.1
c949c65eebc8d2444abe64dd6c6be438f6e218a8  Net_UserAgent_Detect-2.2.0.tgz
c949c65eebc8d2444abe64dd6c6be438f6e218a8  Net_UserAgent_Detect-2.2.0.tgz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
See below - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK(i386/x86_64) - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. According to the comments in the source file the license of
this package is the php 2.0 license, available as:
http://www.php.net/license/2_02.txt
The PHP-LICENSE-3.01 included seems to be a newer, diffrent version.

2. This package owns the
/usr/share/pear/Net directory. Should it? Or should it require some
other package that does?
Comment 2 Christopher Stone 2007-01-13 17:40:28 EST
Spec URL:
http://tkmame.retrogames.com/fedora-extras/php-pear-Net-UserAgent-Detect.spec
SRPM URL:
http://tkmame.retrogames.com/fedora-extras/php-pear-Net-UserAgent-Detect-2.2.0-2.src.rpm

%changelog
* Sat Jan 13 2007 Christopher Stone <chris.stone@gmail.com> 2.2.0-2
- Use PHP License version 2.02

> 2. This package owns the
> /usr/share/pear/Net directory. Should it? Or should it require some
> other package that does?

There are many pear packages that share ownership of the same directories.  The
general rule of thumb in this case is that if the owner of a directory is
unclear then the package should own the directory.
Comment 3 Kevin Fenzi 2007-01-13 19:15:07 EST
1. Ok, looks good now. 

2. Fair enough, just wanted to make sure you were aware of the issue. 

I see no further blockers here, so this package is APPROVED. 

Don't forget to close this review request NEXTRELEASE once it's been 
imported and built. 
Comment 4 Christopher Stone 2007-01-14 02:36:50 EST
- imported into cvs
- updated owners.list
- tagged and built for devel
- cvs sync requested for fc5/6

THANKS FOR THE REVIEW!
Comment 5 Christopher Stone 2007-05-01 23:03:40 EDT
Package Change Request
======================
Package Name: php-pear-Net-UserAgent-Detect
New Branches: EL-5
Comment 6 Dennis Gilmore 2007-05-05 11:27:50 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.